body {
  background-color: #0c0c0c;
}

/* حذف مربع آبی هنگام تاچ روی لینک */
a:focus,
a:active {
  outline: none;
}

a {
  -webkit-tap-highlight-color: transparent; /* مخصوص مرورگرهای موبایل */
}

*:focus {
  outline: none;
  -webkit-tap-highlight-color: transparent;
}

.main_container {
  position: relative;
}

.main_body {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: space-between;
}

.home_header {
  width: 100%;
  height: 70vh;
  /* background-color: tomato; */
  position: relative;

  overflow-y: scroll;

  overflow: hidden;

  /* mask-image: linear-gradient(to bottom,#000,#000 10%,#000 70%,#0000); */

  -webkit-mask-image: linear-gradient(to bottom, #000, #000 60%, #0000);
  mask-image: linear-gradient(to bottom, #000, #000 60%, #0000);
}

.home_header_hero_container {
  width: 100%;
  height: 100%;
  /* background-color: yellow; */

  position: relative;

  /* overflow: hidden; */
}

.home_header_hero_video_container {
  width: 100%;
  height: 100%;
  /* background-color: violet; */
  /* background-image: url(/assets/images/temp/event_show.png); */

  transform: translate3d(0, 0, 0) scale(1);
  will-change: transform; /* کمک به GPU برای smooth کردن انیمیشن */
  /*transition: transform 0.1s linear; /* برای smooth کردن scale اولیه */

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;
}

.home_header_hero_video_body {
  width: 100%;
  height: 100%;
  /* background-color: peru; */

  position: absolute;
}

.home_header_hero_video_body video {
  width: 100%;
  height: 100%;
  opacity: 0.5;

  object-position: center;
  object-fit: cover;
}

.home_header_hero_title {
  width: 100%;
  height: 100%;

  position: absolute;

  color: #fff;

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;
}

.home_header_hero_title h1 {
  position: absolute;
  font-size: 100px;
  font-family: inter;
  font-weight: 900;
  text-transform: uppercase;
  /* opacity: 0; */
  text-align: center;
  line-height: 92px;
}

.home_header_hero_title h1 > span {
  display: block;
  margin-top: 5px;
  margin-bottom: 5px;
  overflow: hidden;
}

.home_header_hero_title h1 > span span {
  display: block;
  transition: transform 1.2s;
  transform: translateY(100%);
}

.home_header_hero_title h1:first-child > span span {
  transform: translateY(0%);
}

.home_header_hero_title h1 > span:first-child span {
  /* background-color: red; */
}

.home_header_hero_title h1 > span:last-child span {
  /* background-color: green; */
}

.home_header_content_container {
  width: 95%;
  height: 70vh;
  /* background: linear-gradient(45deg,green,red,blue); */
  /* background-color: #1414145b; */
  /* background-color: #fff; */

  background: rgba(255, 255, 255, 0.05);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  -webkit-backdrop-filter: blur(8px);
  backdrop-filter: blur(8px);
  border: 1px solid rgba(255, 255, 255, 0.2);

  border-radius: 15px;
  margin: auto;

  position: sticky;
  top: 0;

  display: flex;
  align-items: center;
  justify-content: center;

  opacity: 0;
}

.home_footer_container {
  width: 100%;
  min-height: 180px;
  /* background-color: seagreen; */

  display: flex;
  flex-flow: column-reverse nowrap;
  align-items: center;
  justify-content: flex-start;
}

.home_footer_btn_container {
  width: 114px;
  margin-bottom: 24px;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;
}
.home_footer_btn_container a {
  text-decoration: none;
}

.global_events_btn_container {
  width: 52px;
  height: 52px;
  /* background-color: violet; */
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: flex-end;
}

.global_events_btn_body {
  min-width: 100%;
  height: 100%;

  /* background-color: sienna; */

  transition: 0.5s;

  border-radius: 10px;
  position: relative;
  z-index: 10;

  /* From https://css.glass */
  background: rgba(255, 255, 255, 0.05);

  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);

  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: center;

  overflow: hidden;
}

.global_events_btn_body::before {
  content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(90deg, #fff1, #fff5);

  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);

  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}

.global_events_btn_icon {
  min-width: 19px;
  min-height: 19px;
  background-image: url(../icons/earth.svg);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;

  /* margin-right: 13px; */

  display: none;
}

.global_events_btn_title {
  font-family: inter;
  font-size: 14px;
  color: #c8d8d6;
  font-weight: 400;

  /* margin-top: 3px;
    margin-bottom: -6px; */

  /* position: absolute; */
  white-space: nowrap;

  /* left: 25px; */

  /* opacity: 0; */
  /* transition: opacity 0.2s; */
}

/* .global_events_btn_body:hover{
    min-width: 178px;

} */

/* .global_events_btn_body:hover .global_events_btn_title{
    opacity: 1;
    transition-delay: 0.2s;
} */

.studio_events_btn_container {
  width: 52px;
  height: 52px;
  /* background-color: rgb(7, 72, 133); */
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: flex-start;
}

.studio_events_btn_body {
  min-width: 100%;
  height: 100%;

  /* background-color: sienna; */

  transition: 0.5s;

  border-radius: 10px;
  position: relative;
  z-index: 10;

  /* From https://css.glass */
  background: rgba(255, 255, 255, 0.05);

  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);

  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: center;

  overflow: hidden;
}

.studio_events_btn_body::before {
  content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(90deg, #fff1, #fff5);

  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);

  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}

.studio_events_btn_icon {
  min-width: 19px;
  min-height: 19px;
  background-image: url(../icons/slide.svg);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;

  display: none;

  /* margin-left: 13px; */
}

.studio_events_btn_title {
  font-family: inter;
  font-size: 14px;
  color: #c8d8d6;
  font-weight: 400;

  /* margin-top: 3px;
    margin-bottom: -6px; */

  /* position: absolute; */
  white-space: nowrap;

  /* right: 25px; */

  /* opacity: 0; */
  /* transition: opacity 0.2s; */
}

/* .studio_events_btn_body:hover{
    min-width: 178px;

} */

/* .studio_events_btn_body:hover .studio_events_btn_title{
    opacity: 1;
    transition-delay: 0.2s;
} */

/*--------------timeline style ----------------*/
.home_footer_timeline_container {
  width: 80%;
  max-width: 2000px;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;

  /* background-color: yellow; */
  overflow: hidden;

  margin-bottom: 30px;

  align-items: flex-start;

  /* mask-image: linear-gradient(to right,#0000,#000 10%,#000 90%,#0000); */
}

.home_footer_timeline_mask {
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;
}

.home_footer_timeline_mask {
  mask-image: linear-gradient(to right, #0000, #000 10%, #000 90%, #0000);

  mask-size: 0%;
  mask-position: center center;

  mask-repeat: no-repeat;

  /* mask-composite: exclude,exclude,exclude; */

  transition: 1.5s;

  mask-size: 100%;
}

.home_footer_timeline_mask:hover {
  /* mask-position: center center,  40% center,50% center; */

  mask-size: 100%;
}

.home_footer_timeline_body {
  height: 45px;
  /* background-color: brown; */

  display: flex;
  flex-flow: row nowrap;
  opacity: 0.5;
}

.year_container_timeline_number_container {
  width: 120px;
  min-width: 120px;
  height: 25px;

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;
}

.year_line {
  width: 1px;
  height: 25px;
  background-color: #fff;
  position: relative;

  display: flex;
  flex-flow: column nowrap;
  align-items: center;
}
.year_number {
  font-size: 13px;
  font-family: inter;
  font-weight: 200;
  color: #a7a7a7;
  position: absolute;
  bottom: -20px;

  transition: 0.5s;

  user-select: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.active_year_number {
  /* color: #C1362C; */
  font-weight: 600;
  transform: scale(120%);
}

.season_line {
  width: 1px;
  height: 8px;
  background-color: #fff5;
}

.month_line {
  width: 1px;
  height: 4px;
  background-color: #fff5;
}

/*-------------- end timeline style ----------------*/

.project_btn_container {
  min-width: 114px;
  height: 42px;

  /* background-color: sienna; */

  transition: 0.5s;

  border-radius: 10px;
  position: relative;
  z-index: 10;

  /* From https://css.glass */
  background: rgba(255, 255, 255, 0.05);

  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);
  /* border: 1px solid rgba(255, 255, 255, 0.31); */

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;

  overflow: hidden;

  font-family: inter;
  font-weight: 300;
  color: #fff;
  font-size: 18px;
  cursor: pointer;

  margin-bottom: 35px;

  -webkit-tap-highlight-color: transparent;
}

.project_btn_container::before {
  content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(90deg, #fff1, #fff5);

  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);

  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}

.show_project_btn_container {
  position: absolute;
  width: 100%;
  height: 100vh;
  /* background-color: yellow; */
  z-index: 50;

  background: rgba(0, 0, 0, 0.05);

  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  -webkit-backdrop-filter: blur(8px);
  backdrop-filter: blur(8px);

  transition: opacity 0.5s;
  visibility: hidden;
  opacity: 0;

  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: flex-end;
}

.show_project_btn_body {
  width: 270px;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;
  /* margin-top: 70%; */

  /* margin: 85vh auto 0 auto ; */

  margin-bottom: 150px;

  opacity: 0;
  transition: opacity 0.5s, transform 0.5s;
}

.show_project_btn_body a {
  text-decoration: none;
  color: unset;
}

.show_project_btn {
  min-width: 125px;
  height: 36px;

  /* background-color: sienna; */

  /* transition: 0.5s; */

  border-radius: 10px;
  position: relative;
  z-index: 10;

  /* From https://css.glass */
  background: rgba(255, 255, 255, 0.05);

  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;

  overflow: hidden;

  font-family: inter;
  font-weight: 400;
  color: #fff;
  font-size: 16px;

  /* margin-bottom: 35px; */
}
.show_project_btn::before {
  content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(90deg, #fff1, #fff5);

  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);

  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}

/* ---------- fds loading section ----------- */

.fds_loading_title_container {
  /* width: ; */
  font-family: inter;
  color: #fff;

  /* position: fixed; */
  /* bottom: 20px; */
  /* left: 20px; */

  position: absolute;
  bottom: 188px;
  left: calc(50% + 0px);
  transform: translateX(-50%);

  display: flex;
  flex-flow: row nowrap;
  align-items: flex-end;

  /* background-color: tomato; */

  user-select: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;

  display: none;

  opacity: 0;
  transition: opacity 0.75s;
}

.fds_loading_title_container > div > div {
  /* background-color: slateblue; */
  /* margin: 5px; */
}

.f_title,
.d_title,
.s2_title {
  font-size: 32px;
  line-height: 26px;
  font-weight: 300;
  /* background-color: brown; */

  transition: transform 1.2s;

  color: #c1362c;
}

.play_fds_loading_title .f_title {
  transform: translateX(120px);
  /* transition-delay: 1.6s; */
}
.play_fds_loading_title .d_title {
  transform: translateX(45px);
  /* transition-delay: 1.6s; */
}

.play_fds_loading_title .s2_title {
  transform: translateX(-35px);
  /* transition-delay: 1.6s; */
}

.uture_container,
.esign_container,
.tudio_container {
  display: flex;
  flex-flow: row nowrap;

  font-size: 32px;
  line-height: 26px;
  font-weight: 200;

  overflow: hidden;

  /* background-color: steelblue; */
}

.esign_container {
  margin-bottom: -9px;
}
.g_title {
  /* line-height: 45px; */
  margin-bottom: 9px;
}

.e_title,
.n_title,
.o_title {
  /* transition: transform 0.9s; */
  transition: transform 2.2s;
  transition-delay: 0.6s;
}

.i2_title,
.g_title,
.r_title {
  /* transition: transform 1.1s; */
  transition: transform 1.7s;
  transition-delay: 0.6s;
}

.d2_title,
.i_title,
.u2_title {
  transition: transform 1.3s;
  transition-delay: 0.6s;
}

.u3_title,
.s_title,
.t_title {
  /* transition: transform 1.7s; */
  transition: transform 1.1s;
  transition-delay: 0.6s;
}

.t2_title,
.e2_title,
.u_title {
  /* transition: transform 2.2s; */
  transition: transform 0.9s;
  transition-delay: 0.6s;
}

.play_fds_loading_title {
  /* background-color: tomato; */
}

.play_fds_loading_title .e_title,
.play_fds_loading_title .n_title,
.play_fds_loading_title .o_title {
  transform: translateX(-78px);
}

.play_fds_loading_title .i2_title,
.play_fds_loading_title .g_title,
.play_fds_loading_title .r_title {
  transform: translateX(-58px);
}

.play_fds_loading_title .d2_title,
.play_fds_loading_title .i_title,
.play_fds_loading_title .u2_title {
  transform: translateX(-44px);
}

.play_fds_loading_title .u3_title,
.play_fds_loading_title .s_title,
.play_fds_loading_title .t_title {
  transform: translateX(-34px);
}

.play_fds_loading_title .t2_title,
.play_fds_loading_title .e2_title,
.play_fds_loading_title .u_title {
  transform: translateX(-17px);
}

/* ---------- end fds loading section ----------- */

/* ---------- past present futuer loading ---------- */

.past_present_future_title_container {
  width: 100%;
  /* background-color: brown; */

  position: absolute;
  bottom: 75px;
  z-index: 1000;

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;

  font-family: inter;
  font-weight: 200;
  color: #fff;
  font-size: 15px;

  user-select: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;

  display: none;
}

.past_future_title_container {
  width: 75%;
  /* background-color: tomato; */

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;

  transition: width 1.5s, opacity 0.8s;
  width: 180px;

  opacity: 0;
  will-change: width;
}

.past_title {
  margin-left: 15px;
  opacity: 0;
  transition: opacity 0.8s;
}

.present_title {
  position: absolute;
  font-weight: 350;
  opacity: 0;
  transition: opacity 0.8s;

  color: #c1362c;
}

.future_title {
  opacity: 0;
  transition: opacity 0.8s;
}

.blink_loading_container {
  position: absolute;
  height: 100%;
  transition: opacity 0.5s;

  /* opacity: 0; */

  height: 25px;
}

.blink_loading {
  width: 2px;
  height: 100%;
  background-color: #c1362c;

  animation-name: blinking_loading_blink_item;
  animation-duration: 1s;
  animation-iteration-count: infinite;
  animation-fill-mode: forwards;
  animation-play-state: running;
}

@keyframes blinking_loading_blink_item {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

/* ---------- end past present futuer loading ---------- */

@media screen and (max-width: 1550px) {
  .past_present_future_title_container {
    /* bottom: 30px; */
  }

  .fds_loading_title_container {
    /* position: absolute;
        bottom: 20%; */
    /* opacity: 1 !important; */
  }

  .f_title,
  .d_title,
  .s2_title {
    font-size: 48px;
    line-height: 38px;
  }
  .uture_container,
  .esign_container,
  .tudio_container {
    font-size: 38px;
    line-height: 34px;
  }

  .play_fds_loading_title .d_title {
    /* transform: translateX(-68px); */
  }

  .play_fds_loading_title .s2_title {
    /* transform: translateX(-139px); */
  }
}

@media screen and (max-width: 1366px) {
  .home_header {
    height: 65vh;
  }
}

@media screen and (max-width: 780px) {
  .main_body {
    height: 100vh;
    height: 100dvh;
  }

  .show_project_btn_container {
    height: 100vh;
    height: 100dvh;
  }

  .home_header {
    height: 65vh;
    height: 65dvh;
  }
  .home_header_hero_video_body video {
    width: unset;
    height: 100%;
  }

  .past_present_future_title_container {
    bottom: 30px;

    bottom: 90px;
  }

  .fds_loading_title_container {
    /* position: absolute;
        bottom: 20%; */
    left: calc(50% + 0px);
  }

  .f_title,
  .d_title,
  .s2_title {
    font-size: 38px;
    line-height: 29px;
  }
  .uture_container,
  .esign_container,
  .tudio_container {
    font-size: 28px;
    line-height: 24px;
  }

  .play_fds_loading_title .f_title {
    transform: translateX(100px);
  }

  .play_fds_loading_title .d_title {
    transform: translateX(35px);
  }

  .play_fds_loading_title .s2_title {
    transform: translateX(-34px);
  }
}

@media screen and (max-width: 450px) {
  .home_header_hero_video_body video {
    width: unset;
    height: 100%;
  }

  .home_header_hero_title h1 {
    /* font-size: 60px; */
    /* line-height: 60px; */

    /* font-size: clamp(40px,9.52vw ,30px); */
    font-size: 10vw;
    line-height: 10vw;
  }
}
